# SPDX-License-Identifier: MIT
# No sane versionning upstream, use git clone timestamp
Version:   20200215
Release:   8%{?dist}
URL:       https://android.googlesource.com/

%global common_description %{expand:
The Droid font family was designed in the fall of 2006 by Ascender’s Steve
Matteson, as a commission from Google to create a set of system fonts for its
Android platform. The goal was to provide optimal quality and comfort on a
mobile handset when rendered in application menus, web browsers and for other
screen text.

The family was later extended in collaboration with other designers such as
Pascal Zoghbi of 29ArabicLetters.}

License:   ASL 2.0
BuildArch: noarch

%global    source_name    google-droid-fonts
%global    source_summary A set of general-purpose font families released by Google as part of Android
%global    source_description %{expand:
%{?common_description}
}

%global foundry           Google
%global fontlicenses      NOTICE
%global fontdocs          *.txt

%global fontfamily0       Droid Sans
%global fontsummary0      Droid Sans, a humanist sans-serif font family
%global fontheader0      %{expand:
Obsoletes: google-droid-kufi-fonts < %{version}-%{release}
Suggests: font(notosans)
}
%global fonts0            DroidSans*ttf DroidKufi*ttf
%global fontsex0          DroidSansMono*ttf DroidSansFallback.ttf DroidSansHebrew.ttf
%global fontconfngs0      %{SOURCE2}
%global fontdescription0  %{expand:
%{?common_description}

Droid Sans is a humanist sans serif font family designed for user interfaces and electronic communication.

The Arabic block was initially designed by Steve Matteson of Ascender under the
Droid Kufi name, with consulting by Pascal Zoghbi of 29ArabicLetters to
finalize the font family.}

%global fontfamily1       Droid Sans Mono
%global fontsummary1      Droid Sans Mono, a humanist mono-space sans-serif font family
%global fontheader1       %{expand:
Suggests: font(notosansmono)
}
%global fonts1            DroidSansMono*ttf
%global fontconfngs1      %{SOURCE3}
%global fontdescription1  %{expand:
%{?common_description}

Droid Sans Mono is a humanist mono-space sans serif font family designed for
user interfaces and electronic communication.}

%global fontfamily2       Droid Serif
%global fontsummary2      Droid Serif, a contemporary serif font family
%global fontheader2       %{expand:
Suggests: font(notoserif)
}
%global fonts2            DroidSerif*ttf DroidNaskh*ttf
%global fontsex2          DroidNaskhUI-Regular.ttf DroidNaskh-Regular-Shift.ttf
%global fontconfngs2      %{SOURCE4}
%global fontdescription2  %{expand:
%{?common_description}

Droid Serif is a contemporary serif typeface family designed for comfortable
reading on screen. Droid Serif is slightly condensed to maximize the amount of
text displayed on small screens. Vertical stress and open forms contribute to
its readability while its proportion and overall design complement its
companion Droid Sans.

The Arabic block was designed by Pascal Zoghbi of 29ArabicLetters under the
Droid Naskh name.}

%fontpkg

%fontmetapkg

%sourcelist
%global archivename google-droid-fonts-%{version}
%{archivename}.tar.xz
# Brutal script used to pull sources from upstream git
# Needs at least 2 Gib of space in /var/tmp
getdroid.sh
65-%{fontname0}.xml
60-%{fontname1}.xml
65-%{fontname2}.xml

%prep
%setup -q -n %{archivename}

%build
%fontbuild

%install
%fontinstall

%check
%fontcheck

%fontfiles

%changelog
* Sat May 30 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 20200215-8
🚒 Rebuild with fonts-rpm-macros 4.0.2, fixing rpm 4.15 regressions

* Wed Apr 29 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 20200215-7
🆕 Update to use fonts-rpm-macros 4.x

* Mon Apr 27 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 20200215-6
🐞 Workaround Fedora problems created by rpm commit 93604e2

* Thu Apr 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 20200215-5
💥 Actually rebuild with fonts-rpm-macros 2.0.4 to make sure fontconfig files are
  valid

* Thu Apr 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 20200215-4
👻 Rebuild with fonts-rpm-macros 2.0.4 to make sure fontconfig files are valid

* Mon Mar 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 20200215-3
✅ Lint, lint, lint and lint again

* Sat Feb 22 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 20200215-2
✅ Rebuild with fonts-rpm-macros 2.0.2

* Sat Feb 15 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 20200215-1
✅ Convert to fonts-rpm-macros use

* Sun Nov 23 2008 Nicolas Mailhot <nim@fedoraproject.org>
- 1.0.107-1
✅ Initial packaging
